package net.t2code.alias.Spigot.system;

import net.t2code.alias.Spigot.Main;
import net.t2code.alias.Spigot.cmdManagement.RegisterCommands;
import net.t2code.t2codelib.SPIGOT.api.messages.T2Csend;
import org.bukkit.Bukkit;
import org.bukkit.command.CommandMap;

import java.lang.reflect.Field;

public class AliasRegister {
    public static void onRegister() {
        for (String alias : Main.allAliases) {
            if (Main.aliasHashMap.get(alias) != null) {
                if (alias.equals(" ")) continue;
                if (Main.aliasHashMap.get(alias).aliasEnable) {
                    try {
                        final Field bukkitCommandMap = Bukkit.getServer().getClass().getDeclaredField("commandMap");
                        bukkitCommandMap.setAccessible(true);
                        CommandMap commandMap = (CommandMap) bukkitCommandMap.get(Bukkit.getServer());
                        commandMap.register(alias, new RegisterCommands(alias));
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
            } else T2Csend.warning(Main.getPlugin(), " §4AliasHashmap is null! - " + alias);
        }
    }
}
